Horizon tries to discover panels in tests

Bug #921943 reported by Paul McMillan on 2012-01-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
Medium
Unassigned

Bug Description

The horizon discovery code attempts to import the test framework (and a bunch of other unnecessary files) in dashboards/nova/overview/views.py. Horizon should not depend on things like mox for production use.

description: updated
description: updated
Devin Carlen (devcamcar) on 2012-01-26
Changed in horizon:
status: New → Confirmed
importance: Undecided → Medium
milestone: none → essex-4
assignee: nobody → Nebula (nebula)
Devin Carlen (devcamcar) on 2012-02-16
Changed in horizon:
milestone: essex-4 → 2012.1
Thierry Carrez (ttx) on 2012-02-29
Changed in horizon:
milestone: 2012.1 → essex-rc1
Mike Perez (thingee) wrote :

PaulM
1:50
why I didn't close the ticket, I don't know.
1:50
lemme close it now
1:51
or, I can't close it
1:51
but yeah, this is long dead
1:51
so someone who can close it, please close

Changed in horizon:
status: Confirmed → Fix Committed
Thierry Carrez (ttx) on 2012-03-20
Changed in horizon:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in horizon:
milestone: essex-rc1 → 2012.1
Curtis Hovey (sinzui) on 2016-07-29
Changed in horizon:
assignee: Registry Administrators (registry) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers